Main Page Modules Namespace List Data Structures File List Data Fields Examples

# _sgml_handlers Struct Reference

Basic handlers for SGML parsing. More...

`#include <SgmlParser.h>`

## Data Fields
void(* | preparse )(struct _sgml_parser *parser, void *userContext)
void(* | postparse )(struct _sgml_parser *parser, void *userContext)
void(* | elementBegin )(struct _sgml_parser *parser, void *userContext, const char *elementName)
void(* | elementEnd )(struct _sgml_parser *parser, void *userContext, const char *elementName)
void(* | attributeNew )(struct _sgml_parser *parser, void *userContext, const char *attributeName, const char *attributeValue)
void(* | textNew )(struct _sgml_parser *parser, void *userContext, const char *text)
void(* | commentNew )(struct _sgml_parser *parser, void *userContext, const char *comment)

## Detailed Description

Basic handlers for SGML parsing.

Basic handlers of SGML parsing.

Examples:

  test.c.

## Field Documentation

void(* _sgml_handlers::attributeNew)(struct _sgml_parser *parser, void *userContext, const char *attributeName, const char *attributeValue)

| Called when an attribute is done. Examples: test.c.

void(* _sgml_handlers::commentNew)(struct _sgml_parser *parser, void *userContext, const char *comment)

| Called when a comment is done.

void(* _sgml_handlers::elementBegin)(struct _sgml_parser *parser, void *userContext, const char *elementName)

| Called when an element is beginning. Examples: test.c.

void(* _sgml_handlers::elementEnd)(struct _sgml_parser *parser, void *userContext, const char *elementName)

| Called when an element is closed. Examples: test.c.

void(* _sgml_handlers::postparse)(struct _sgml_parser *parser, void *userContext)

| Called after parsing the document.

void(* _sgml_handlers::preparse)(struct _sgml_parser *parser, void *userContext)

| Called prior to parsing the document

void(* _sgml_handlers::textNew)(struct _sgml_parser *parser, void *userContext, const char *text)

| Called when a text node is done. Examples: test.c.

The documentation for this struct was generated from the following file:

- SgmlParser.h